Loading...
Searching...
No Matches
AtomTyper.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <string>`
`#include <ForceField/MMFF/Params.h>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | RDKit::MMFF::MMFFAtomProperties
class | RDKit::MMFF::MMFFMolProperties

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MMFF
namespace | RDKit::MMFF::DefaultParameters

## Typedefs

typedef boost::shared_ptr< MMFFAtomProperties > | RDKit::MMFF::MMFFAtomPropertiesPtr

## Enumerations

enum | { RDKit::MMFF::CONSTANT = 1 , RDKit::MMFF::DISTANCE = 2 }
enum | { RDKit::MMFF::MMFF_VERBOSITY_NONE = 0 , RDKit::MMFF::MMFF_VERBOSITY_LOW = 1 , RDKit::MMFF::MMFF_VERBOSITY_HIGH = 2 }

## Functions

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFPropCollection * | RDKit::MMFF::DefaultParameters::getMMFFProp ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFAromCollection * | RDKit::MMFF::DefaultParameters::getMMFFArom ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFDefCollection * | RDKit::MMFF::DefaultParameters::getMMFFDef ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFHerschbachLaurieCollection * | RDKit::MMFF::DefaultParameters::getMMFFHerschbachLaurie ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFPBCICollection * | RDKit::MMFF::DefaultParameters::getMMFFPBCI ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFAngleCollection * | RDKit::MMFF::DefaultParameters::getMMFFAngle ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFStbnCollection * | RDKit::MMFF::DefaultParameters::getMMFFStbn ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFDfsbCollection * | RDKit::MMFF::DefaultParameters::getMMFFDfsb ()
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFTorCollection * | RDKit::MMFF::DefaultParameters::getMMFFTor (const bool isMMFFs)
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFOopCollection * | RDKit::MMFF::DefaultParameters::getMMFFOop (const bool isMMFFs)
RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFVdWCollection * | RDKit::MMFF::DefaultParameters::getMMFFVdW ()
RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int | RDKit::MMFF::isAngleInRingOfSize3or4 (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3)
RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int | RDKit::MMFF::isTorsionInRingOfSize4or5 (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const unsigned int idx4)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::MMFF::isRingAromatic (const ROMol &mol, const INT_VECT &ringIndxVect)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::MMFF::isAtomInAromaticRingOfSize (const Atom *atom, const unsigned int ringSize)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::MMFF::isAtomNOxide (const Atom *atom)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::MMFF::areAtomsInSameAromaticRing (const ROMol &mol, const unsigned int idx1, const unsigned int idx2)
RDKIT_FORCEFIELDHELPERS_EXPORT bool | RDKit::MMFF::areAtomsInSameRingOfSize (const ROMol &mol, const unsigned int ringSize, const unsigned int numAtoms,...)
RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int | RDKit::MMFF::sanitizeMMFFMol (RWMol &mol)
RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int | RDKit::MMFF::getMMFFStretchBendType (const unsigned int angleType, const unsigned int bondType1, const unsigned int bondType2)
RDKIT_FORCEFIELDHELPERS_EXPORT unsigned int | RDKit::MMFF::getPeriodicTableRow (const int atomicNum)

RDKIT_FORCEFIELDHELPERS_EXPORT const ForceFields::MMFF::MMFFAngle *

RDKit::MMFF::getMMFFAngleBendEmpiricalRuleParams (const ROMol &mol, const ForceFields::MMFF::MMFFAngle *oldMMFFAngleParams, const ForceFields::MMFF::MMFFProp *mmffPropParamsCentralAtom, const ForceFields::MMFF::MMFFBond *mmffBondParams1, const ForceFields::MMFF::MMFFBond *mmffBondParams2, unsigned int idx1, unsigned int idx2, unsigned int idx3)